## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check

%global crate rustcat

Name:           rust-rustcat
Version:        1.3.0
Release:        %autorelease
Summary:        Rustcat - The Modern Port Listener & Reverse Shell

License:        MIT
URL:            https://crates.io/crates/rustcat
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump rustyline dependency from 9.0 to 13.0
Patch:          rustcat-fix-metadata.diff
Patch:          0001-port-to-rustyline-v12.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rustcat - The Modern Port Listener & Reverse Shell.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
License:        MIT AND MPL-2.0 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CODE_OF_CONDUCT.md
%doc README.md
%doc contributing.md
%{_bindir}/rcat

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# remove executable bits from source files
find . -type f -executable -print -exec chmod -x {} + ;

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# rename binary from rc to rcat to avoid conflict with rc package
mv %{buildroot}%{_bindir}/rc %{buildroot}%{_bindir}/rcat

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> 1.3.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> 1.3.0-11
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> 1.3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 03 2024 Fabio Valentini <decathorpe@gmail.com> 1.3.0-9
- Bump rustyline dependency to 13

* Sun Oct 22 2023 Fabio Valentini <decathorpe@gmail.com> 1.3.0-8
- Bump rustyline dependency to 12

* Tue Aug 22 2023 Fabio Valentini <decathorpe@gmail.com> 1.3.0-7
- Fix license tag for binary subpackage

* Mon Aug 07 2023 Fabio Valentini <decathorpe@gmail.com> 1.3.0-6
- Regenerate with rust2rpm v24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> 1.3.0-4
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Apr 19 2022 Davide Cavalca <dcavalca@fedoraproject.org> 1.3.0-1
- Initial import; Fixes: RHBZ#1991150
